Method: projects.locations.networkMonitoringProviders.webPaths.list

Lists WebPaths for a given network monitoring provider.

HTTP request

GET https://networkmanagement.googleapis.com/v1alpha1/{parent=projects/*/locations/*/networkMonitoringProviders/*}/webPaths

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListWebPathsRequest. Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider}

Authorization requires the following IAM permission on the specified resource parent:

  • networkmanagement.webpaths.list

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of web paths to return. The service may return fewer than this value. If unspecified, at most 20 web paths will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous webPaths.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to webPaths.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Message for response to listing WebPaths

If successful, the response body contains data with the following structure:

JSON representation
{
  "webPaths": [
    {
      object (WebPath)
    }
  ],
  "nextPageToken": string
}
Fields
webPaths[]

object (WebPath)

The list of WebPath.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.